# Created by pyp2rpm-3.3.8
%global pypi_name bandit

%bcond_with check

Name:           python-%{pypi_name}
Version:        1.7.4
Release:        %mkrel 1
Summary:        Security oriented static analyser for python code
Group:          Development/Python
License:        Apache-2.0 license
URL:            https://bandit.readthedocs.io/
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr)
# Docs
BuildRequires:  python3dist(sphinx)
# Tests
%if %{with check}
BuildRequires:  python3dist(stevedore)
BuildRequires:  python3dist(pyyaml)
# TODO: Add missing BRs
%endif

%description
Bandit is a tool designed to find common security issues in Python code. To do
this Bandit processes each file, builds an AST from it, and runs appropriate
plugins against the AST nodes. Once Bandit has finished scanning all the files
it generates a report.

Bandit was originally developed within the OpenStack Security Project and later
rehomed to PyCQA.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bandit is a tool designed to find common security issues in Python code. To do
this Bandit processes each file, builds an AST from it, and runs appropriate
plugins against the AST nodes. Once Bandit has finished scanning all the files
it generates a report.

Bandit was originally developed within the OpenStack Security Project and later
rehomed to PyCQA.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
%{_bindir}/bandit
%{_bindir}/bandit-baseline
%{_bindir}/bandit-config-generator


%changelog
* Mon Aug 22 2022 wally <wally> 1.7.4-1.mga9
+ Revision: 1879332
- imported package python-bandit

